Child Address List
curl --request GET \
--url https://api.blockradar.co/v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Virtual accounts retrieved successfully",
"data": [
{
"id": "3e8fcd73-4067-4386-8c1e-9929e6a768d7",
"reference": "va_01J2X8JQ4V9N0P7K2M6C3F5R8T",
"accountNumber": "0123456789",
"accountName": "Acme Ltd / Ada Okafor",
"bankName": "Example Bank",
"bankCode": "999",
"currency": "NGN",
"institutionAddress": null,
"assetId": "ae455f23-3824-4125-baab-d158315cbcbd",
"providerId": "1128dd40-2c94-4c16-a6bf-fbbc6afee52c",
"isActive": true,
"status": "active",
"type": "AUTO_FUNDING",
"label": "Ada collection account",
"createdAt": "2026-07-19T12:30:00.000Z",
"updatedAt": "2026-07-19T12:30:00.000Z"
}
],
"meta": {
"total": 1,
"page": 1,
"limit": 10,
"pageCount": 1,
"hasPreviousPage": false,
"hasNextPage": false
},
"links": {
"first": "https://api.blockradar.co/v2/wallets/4465468a-3c36-4536-918a-91d689e18a74/virtual-accounts?page=1&limit=10",
"previous": null,
"next": null,
"last": "https://api.blockradar.co/v2/wallets/4465468a-3c36-4536-918a-91d689e18a74/virtual-accounts?page=1&limit=10"
}
}v2
Child Address List
GET
/
v2
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
virtual-accounts
Child Address List
Authorizations
Path Parameters
Wallet identifier.
Child address identifier.
Query Parameters
Filter virtual accounts by activation state.
Search by reference, label, account name, or account number.
Inclusive ISO 8601 start date. Required only when endDate is supplied.
Inclusive ISO 8601 end date. Required only when startDate is supplied.
One-based page number.
Required range:
x >= 1Records per page. Maximum 100.
Required range:
1 <= x <= 100Response
200 - application/json
Successful response.
⌘I

